package domain


type AlibabaWdkMerchantRoutingRegisterMerchantRoutingInfoRegisterDo struct {
    /*
        仓code，为空时路由为商家维度     */
    WarehouseCode  *string `json:"warehouse_code,omitempty" `

    /*
        操作状态1-注册；2-删除     */
    Status  *int64 `json:"status,omitempty" `

}

func (s *AlibabaWdkMerchantRoutingRegisterMerchantRoutingInfoRegisterDo) SetWarehouseCode(v string) *AlibabaWdkMerchantRoutingRegisterMerchantRoutingInfoRegisterDo {
    s.WarehouseCode = &v
    return s
}
func (s *AlibabaWdkMerchantRoutingRegisterMerchantRoutingInfoRegisterDo) SetStatus(v int64) *AlibabaWdkMerchantRoutingRegisterMerchantRoutingInfoRegisterDo {
    s.Status = &v
    return s
}
